Bug 114657 - up2date tries to install Update 1, but fails due to fileutils dependency
up2date tries to install Update 1, but fails due to fileutils dependency
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 130798
  Show dependency treegraph
 
Reported: 2004-01-30 14:36 EST by Rick Osowski
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:30:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Osowski 2004-01-30 14:36:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030922

Description of problem:
When I try to install Update 1 using up2date, no matter what options i
select prior to the Select Packages to Update screen, I recieve an
error that states there is a dependency to fileutils package and it
cannot be resolved.  
  Everything that i have read says that fileutils has been absorbed
into the larger coreutils, but still I have no idea how to fix this. 
I tried installing fileutils itself and coreutils but I have not been
able to get past this.

[root]# rpm -q --whatprovides redhat-release
redhat-release-3AS-1
[root@psupenguin root]# rpm -q fileutils
package fileutils is not installed
[root]# rpm -q coreutils
[root]# rpm -q up2date
up2date-4.2.5-1
[root]# uname -m
i686
[root]# cat /etc/redhat-release
Red Hat Enterprise Linux AS release 3 (Taroon)
[root@psupenguin root]# rpm -q up2date
up2date-4.2.5-1


Version-Release number of selected component (if applicable):
up2date-4.2.5-1

How reproducible:
Always

Steps to Reproduce:
1. run up2date
2. select any options
3.
    

Actual Results:  Dependency errors

Expected Results:  Updates downloaded and installed

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:30:39 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.